- reconfigure_command = 'sudo gitlab-ctl reconfigure'

%h4
  1. Install and configure the necessary dependencies
%p
  If you install Postfix to send email please select 'Internet Site' during setup.
  Instead of using Postfix you can also use Sendmail or
  %a{ href: "https://gitlab.com/gitlab-org/omnibus-gitlab/blob/master/doc/settings/smtp.md" }
    configure a custom SMTP server
  and
  %a{ href: "https://gitlab.com/gitlab-org/omnibus-gitlab/blob/master/doc/settings/smtp.md#smtp-on-localhost" }
  configure it as an SMTP server.
%p
  On CentOS, the commands below will also open HTTP and SSH access in the system firewall.
%pre.command
  = platform.dependency_commands
  = platform.firewall_open
  %button{ copy_btn_options("#{platform.dependency_commands}\r\n#{platform.firewall_open}") }
    %i.fa.fa-clipboard
%h4
  2. Add the GitLab package server and install the package
%pre.command
  = "#{platform.download_command}\n#{platform.install_commands}"
  %button{ copy_btn_options("#{platform.download_command}\r\n#{platform.install_commands}") }
    %i.fa.fa-clipboard
%p
  If you are not comfortable installing the repository through a piped script, you can find the
  %a{ href: "https://packages.gitlab.com/gitlab/gitlab-#{type}/install" }entire script here
  and
  %a{ href: "https://packages.gitlab.com/gitlab/gitlab-#{type}" }select and download the package manually
  and install using
%pre.command
  = platform.install_commands_manual
  %button{ copy_btn_options(platform.install_commands_manual) }
    %i.fa.fa-clipboard
%h4
  3. Configure and start GitLab
%pre.command
  = reconfigure_command
  %button{ copy_btn_options(reconfigure_command) }
    %i.fa.fa-clipboard
%h4
  4. Browse to the hostname and login
:markdown
  On your first visit, you'll be redirected to a password reset screen to provide the password for the initial administrator account.
  Enter your desired password and you'll be redirected back to the login screen.

  The default account's username is **root**. Provide the password you created earlier and login.
  After login you can change the username if you wish.

.display-extra-links
  %ul
    - if has_ee
      %li
        %a.js-toggle-instructions{ href: "#", data: { "toggle-type" => toggle_type } }
          - if type == "ee"
            Community Edition
          - else
            Enterprise Edition
    %li
      %a{ href: "https://docs.gitlab.com/omnibus/" }
        Troubleshooting
    %li
      %a{ href: "https://docs.gitlab.com/#{type}/install/installation.html" }
        Manual installation
